GET /api/v3/digital-boards/constants/impressions-calc-methods¶
Summary¶
GET /digital-boards/constants/impressions-calc-methods
Description¶
Returns a list of impressions calc methods constants
A digital board can be assigned one of these methods to use when calculating the imprression for a single play on the board
If set to the value of 1 (Avg Daily) then options.avg_daily_impressions will be used to calculate
Tags: digital-boards
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)impressions_calc_methods(array)-
Array items:
objectType:objectProperties:
id(integer)name(string)description(string)
Example Response¶
{
"success": true,
"impressions_calc_methods": [
{
"id": 0,
"name": "None",
"description": "Do not calculate impressions based on plays"
},
{
"id": 1,
"name": "Avg Daily",
"description": "Take avg daily impressions on a display, divided by 86,400, multipled by play_duration"
},
{
"id": 2,
"name": "Realtime",
"description": "The screen must provide the impression number in realtime with the play call"
},
{
"id": 3,
"name": "Per Play Fixed",
"description": "Use a fixed number of impressions per play as set on the screen"
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/digital-boards/constants/impressions-calc-methods" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/digital-boards/constants/impressions-calc-methods"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/digital-boards/constants/impressions-calc-methods',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/digital-boards/constants/impressions-calc-methods'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()
Example Responses¶
200 Response¶
{
"success": true,
"impressions_calc_methods": [
{
"id": 0,
"name": "None",
"description": "Do not calculate impressions based on plays"
},
{
"id": 1,
"name": "Avg Daily",
"description": "Take avg daily impressions on a display, divided by 86,400, multipled by play_duration"
},
{
"id": 2,
"name": "Realtime",
"description": "The screen must provide the impression number in realtime with the play call"
},
{
"id": 3,
"name": "Per Play Fixed",
"description": "Use a fixed number of impressions per play as set on the screen"
}
]
}